Estudiante Universi...
 

Estudiante Universitario trabajando por un proyecto para Escanear Objetos  

  RSS
RodyFernandez
(@rodyfernandez)
Active Member

Hola que tal mi nombre es Rody Fernandez y soy de Paraguay, me pareció muy bueno el escaner, necesito hacer para presentar un proyecto universitario en donde estoy se necesita modelos dentales para la hora de didáctica ya que solo disponemos de un modelo dental con el escáner podemos hacer una copia de ellos para poder imprimir en 3D para cada alumno disponer de su propio modelo y después darle otros uso por supuesto.

Compre un raspberry pi 3 b  para poder cargarle el software que tienen en su documentación mas actualizado  en https://github.com/mariolukas/FabScanPi-Build-Raspbian/releases/tag/v.2019-11-08-22-00  

Al instalar en la SD y colocar al raspberry lo primero fue colocar a la red Wifi para asi poder manipular con PuTTY por SSH, ingrese y hice lo siguiente:

Agregue el repositorio de fabscan a su lista de origen.

echo "deb  http://archive.fabscan.org/  jessie main" >> /etc/apt/sources.list

Luego agregue la clave del repositorio FabScan PI a su cadena de claves.

wget http://archive.fabscan.org/fabscan.public.key -O - | sudo apt-key add -

Actualiza la lista de paquetes.

apt-get update

Finalice la instalación con los paquetes necesarios.

apt-get install fabscanpi-server python-opencv-tbb libtbb2 python-pil python-serial python-pykka python-picamera avrdude python-semver python-scipy

Pero me salio un error

image

Continué igual los siguientes procesos, iniciando el servidor de FabScan
sudo /etc/init.d/fabscanpi-server start

Instale las dependencias
sudo apt-get install build-essential dpkg-dev debhelper devscripts fakeroot cdbs python-setuptools python-support

Pero cuando ejecuto el comando
make deb  --- "Me sale este error"

image

Me podrías ayudar para solucionar y seguir en los siguientes pasos ? 

Otra consulta mientras voy haciendo los pasos, es necesario que estén todos los componentes ya instalados o puede ser iniciado solo con el raspberry ? 

 

Desde ya muchas gracias...

Quote
Posted : 23/11/2019 2:35 am
mario
(@mario)
Member Admin

Sorry my spanish is very basic. What are you trying to do? Do you want to build the packages by yourself, because you need some modifications on the code or do you just want to get the software running. If you want to just get the software running use the latest pre-built raspbian image. 

If you want to build do  (the current documentation is outdated.):

sudo apt-get update

sudo apt-get install -y libcurl3 build-essential python-setuptools debhelper cdbs dh-python fakeroot python-pip git

git clone https://github.com/mariolukas/FabScanPi-Server.git

cd FabScanPi-Server

sudo make deb

That should do the trick. 

 

 

ReplyQuote
Posted : 23/11/2019 7:18 am
RodyFernandez
(@rodyfernandez)
Active Member

Hola muchas gracias por responder, ayer estaba intentando hacer que ejecute el software mientras que aun no compre las piezas necesarias para el montaje y me salio esos errores.

Teste desde otra notebook con Ubuntu ahora desde termina accedi al raspberry usando los comando que me pasaste y esto es lo que me salio.. 

 
image



Disculpa por las molestias, por ahora me estoy metiendo con esto y aun no me acostumbro con los comandos de cosola
Tengo conocimientos basicos que por ahora recien estoy trabajando en ello.
ReplyQuote
Posted : 23/11/2019 4:09 pm
mario
(@mario)
Member Admin

Try to do a 

sudo apt-get install dh-python

and then again 

make deb 
ReplyQuote
Posted : 23/11/2019 7:00 pm
RodyFernandez
(@rodyfernandez)
Active Member

Volvi a cargar el sistema mas actual en  otra tarjeta SD, para comenzar de nuevo los pasos que me indicaste.

Configure el raspberry de nuevo por la red Wifi de mi casa para poder manipular por PuTTY desde SSH

Luego use los primeros comandos que me indicaste.

sudo apt-get update

sudo apt-get install -y libcurl3 build-essential python-setuptools debhelper cdbs dh-python fakeroot python-pip git

En este proceso no me quiso instalar "libcurl3"
image



Pereo aun asi segui con los siguieentes pasos. git clone https://github.com/mariolukas/FabScanPi-Server.git

cd FabScanPi-Server sudo apt-get install dh-python
sudo make deb

Funciono e instala todo normal, después de eso para iniciar el servidor del raspberry use este comando. sudo /etc/init.d/fabscanpi-server start

Despues de eso use la ip que tiene el raspberry, siendo el 192.168.0.7 - Me sale este error

image



Colocando 192.168.0.7:8080 no encuentra nada. No se si hasta aca esta todo bien o se me paso hacer algo.

 

ReplyQuote
Posted : 24/11/2019 10:15 pm
RodyFernandez
(@rodyfernandez)
Active Member

Buenas soy yo de nuevo, estuve revisando de nuevo paso a paso y seguí las indicaciones de este error.

image

Verifique que el proceso se esté ejecutando: ps -ef | grep -i fabscanpi | grep -i python

image

Salio asi despues  eche un vistazo /var/log/fabscanpi/fabscanpi.log

Antes de esto me daba un erro de cámara y habilite la cámara desde 

raspi-config

despjues de eso me dio esto
image



despues de eso reinicio el raspberry pero nada e igual no me deja reiniciar el servicio

sudo service fabscanpi restart

image



Aun persiste ese error cuando escribo en mi navegador http://fabscanpi.local/
Como veo es por que me falta los componentes necesario como los drivers de motor, HAT, etc

This post was modified 2 weeks ago by RodyFernandez
ReplyQuote
Posted : 26/11/2019 12:41 am
Share: